Subject: RE: Feedback needed: retiring MOSPF and other specs?

From: "Susan Hares" <[email-masked]>
Date: Mon, 19 Dec 2005 19:29:46 -0700

Alex:

I think there are some environments where MOSPF might be useful.
How do we want to judge this?

sue

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Radia Perlman
Sent: Monday, December 19, 2005 7:10 PM
To: Alex Zinin
Cc: [email-masked]; Acee Lindem; Rohit Dube
Subject: Re: Feedback needed: retiring MOSPF and other specs?

Seems reasonable. What's the downside of doing this?

Radia

Alex Zinin wrote:

>Acee, Rohit, RTG-DIR members:
>
>  In case you didn't see this doc:
>
http://www.ietf.org/internet-drafts/draft-ietf-newtrk-decruft-experiment
-02.txt
>
>  I'm holding a DISCUSS on this. The doc suggests to retire MOSPF and a
>  bunch of other specs to Historic. I need to know your opinion on
this.
>
>  Here's what I have on my list of questionable retirements:
>
>  
>
>>      RFC1378 (The PPP AppleTalk Control Protocol (ATCP))
>>      RFC1469 (IP Multicast over Token-Ring Local Area Networks)
>>      RFC1582 (Extensions to RIP to Support Demand Circuits)
>>      RFC1584 (Multicast Extensions to OSPF)
>>      RFC1598 (PPP in X.25)
>>      RFC1755 (ATM Signaling Support for IP over ATM)
>>    
>>
>
>  I'd like to hear opinions on this.
>
>  
>

---

From: Rohit Dube <[email-masked]>
Date: Mon, 19 Dec 2005 19:42:41 -0800 (PST)

Hey Alex,

I will discuss with Acee soon, but there is no ongoing MOSPF 
work. In late 2002, we had removed MOSPF work-items from the
working groups work-item list and we had announced the removal
of the same in the Nov/Dec-2002 WG meeting. While I am sure
that there are some MOSPF networks out there, I am also sure
that permanently putting a stop to MOSPF work (if that is
what historic implies) would surprise or effect very few 
people.

Best,
--rohit.

>   In case you didn't see this doc:
http://www.ietf.org/internet-drafts/draft-ietf-newtrk-decruft-experiment-02.txt
>   bunch of other specs to Historic. I need to know your opinion on this.
> 
> -- 
> Alex
> http://www.psg.com/~zinin
> 
> 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 20 Dec 2005 09:27:06 -0700

Radia:

I guess I'm arguing that work needs to be reconsidered.
I think applications/revisions of MOSPF may prove more useful in
today's internet.

So, is there a DISCUSS group for this?

Sue

-----Original Message-----
From: Radia Perlman [mailto:[email-masked]] 
Sent: Tuesday, December 20, 2005 2:36 AM
To: Susan Hares
Cc: Alex Zinin; [email-masked]; Acee Lindem; Rohit Dube
Subject: Re: Feedback needed: retiring MOSPF and other specs?

Suppose someone does want to use MOSPF, etc. Moving them to historic 
doesn't seem
to prevent anyone from implementing them.

The only way I could imagine it would make any difference is if IPR 
statements are based on
the thing being standard, and if IETF de-standardized something, then it

would no longer
be royalty free.

Radia

---

From: Rohit Dube <[email-masked]>
Date: Tue, 20 Dec 2005 16:14:56 -0800 (PST)

Hello,

I would strongly suggest that we use "recent and ongoing work" 
as a yardstick for protocols/work-items that have been around 
for a while rather than "the potential for future work" on the
items.

Best,
--rohit.

--- Alex Zinin <[email-masked]> wrote:

> Somehow I missed Sue's argument, so hold it a sec, pls.
> 
> Sue, to clarify, could you explain why you think MOSPF may be more
> interesting now, and what do you mean by reconsidering this work?
> 
> One thing I'd like us to try and avoid is concluding something like "we
> should try to spend some time thinking about blah" (not putting words in
> your mouth, Sue). Now is the time when we think.
> 
> -- 
> Alex

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 20 Dec 2005 18:16:52 -0700

Rohit and Alex:

My point is that MOSPF has some very good characteristics for the MANET
style networks for a single domain.  The single domain properties with a
modern SPF have good characteristics. 

Now, I can just go ahead and use the new draft from D. Ward,
R. Perlman, R. White, and D. Farinacci on ISIS to MAC Addresses. 
For layer 3 multicast, it's not clear that MOSPF is a bad idea.
But, it's a re-use of an old idea for a new concept.

MANET won't touch it.  They are constrained to ADOV++ and OLSR++.
(By nature or nurture - it doesn't matter what the issues are the same.)

So, I wanted to find someplace to discuss it before we dropped it from a
standard.  

Where is that?  Radia indicated the only difference was patent - but
your email indicated that removing MOSPF would change packets.  So
before we leap, I just wanted to find a place to chat about this topic. 

Sue

-----Original Message-----
From: Rohit Dube [mailto:[email-masked]] 
Sent: Tuesday, December 20, 2005 7:15 PM
To: Alex Zinin
Cc: Acee Lindem; Susan Hares; [email-masked]; Radia Perlman; Rohit
Dube

Hello,

Best,
--rohit.